{{- define "title" -}}{{ .Site.Params.name }} | {{ replace (T "bridge_heading") "%name%" .Title }}{{- end -}}

{{ define "meta_description" -}}
    {{- $text := T "bridge_meta_description" -}}
    {{- $text = replace $text "%title%" .Title -}}
    {{- $text = replace $text "%package%" .Params.package -}}
    {{- $text -}}
{{- end }}

{{ define "head" }}

{{ $pageType := "Article" }}

{{ if eq .CurrentSection.File.Path "news/_index.md" }}
{{ $pageType = "NewsArticle" }}
{{ end }}

{{ if eq .CurrentSection.File.Path "blog/_index.md" }}
{{ $pageType = "BlogPosting" }}
{{ end }}

<script type="application/ld+json">
    {
      "@context": "https://schema.org",
      "@type": "{{ $pageType }}",
      "headline": "{{ .Title }}",
      "datePublished": "{{ .Date | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "dateModified": "{{ .Lastmod | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "author": [{
          "@type": "Organization",
          "name": "etke.cc",
          "url": "https://etke.cc"
        }]
    }
</script>
{{ end }}

{{ define "main" }}
<div class="container">
    <nav aria-label="Breadcrumbs">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ "/help" | relLangURL }}">{{ T "help" }}</a></li>
            <li class="breadcrumb-item"><a href="{{ "/help/bridges" | relLangURL }}">{{ T "bridge" 2 | title }}</a></li>
            <li class="breadcrumb-item" aria-current="page">{{ .Title }}</li>
        </ol>
    </nav>

    <h1 class="text-center">{{ replace (T "bridge_heading") "%name%" .Title }}</h1>
    {{ $intro := T "bridge_intro" }}
    {{ if .Params.network }}
        {{ $intro = replace $intro "%title%" (printf "<a href='%s' rel='nofollow' target='_blank'>%s</a>" .Params.network .Title) }}
    {{ else }}
        {{ $intro = replace $intro "%title%" .Title }}
    {{ end }}
    {{ $intro = replace $intro "%package%" (printf "<code>%s</code>" .Params.package ) }}
    <p>{{ $intro | safeHTML }}</p>
    {{ partial "component-related-navigation.html" .Params }}


    {{ .Content }}

    <hr>
    <h3>If you need assistance</h3>
    Before seeking help, make sure to thoroughly review the <a href="{{ .Params.docs }}" rel="nofollow" target="_blank">documentation</a>.
    If you still have questions, please don't hesitate to <a href="{{ .Params.support }}" rel="nofollow" target="_blank">contact bridge's support</a>.
    Please note that <a href="/services/support/#topics">etke.cc Customer Support</a> exclusively handles server-related inquiries. For any questions related to the bridge, please reach out to <a href="{{ .Params.support }}" rel="nofollow" target="_blank">bridge's support</a>.
</div>

{{ partial "no-server-yet.html" . }}
{{ end }}
